Bug 141761 - korganizer and korgac fault on startup (SIGABRT)
korganizer and korgac fault on startup (SIGABRT)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-03 12:00 EST by Jonathan Corbet
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 06:42:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Korganizer traceback (3.66 KB, text/plain)
2004-12-03 12:01 EST, Jonathan Corbet
no flags Details
korgac traceback (3.59 KB, text/plain)
2004-12-03 12:02 EST, Jonathan Corbet
no flags Details
Patch fixing overflows (20.27 KB, patch)
2005-01-06 14:48 EST, Steve Grubb
no flags Details | Diff

  None (edit)
Description Jonathan Corbet 2004-12-03 12:00:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041114 Firefox/1.0

Description of problem:
An attempt to run korganizer with current Fedora Rawhide on x86_64
yields two windows stating that korgac and korganizer crashed, both
with SIGABRT.

Version-Release number of selected component (if applicable):
kdepim 3.3.1-3

How reproducible:
Always

Steps to Reproduce:
1. run 'korganizer'
2.
3.
    

Additional info:
Comment 1 Jonathan Corbet 2004-12-03 12:01:11 EST
Created attachment 107845 [details]
Korganizer traceback

This is the traceback from korganizer
Comment 2 Jonathan Corbet 2004-12-03 12:02:06 EST
Created attachment 107846 [details]
korgac traceback

And this is the traceback from korgac
Comment 3 Nicola Soranzo 2005-01-05 19:45:51 EST
I've the same problem with kdepim-3.3.2-0.2.i386.rpm from Rawhide on i386.
Comment 4 Steve Grubb 2005-01-06 14:48:08 EST
Created attachment 109437 [details]
Patch fixing overflows

This bug report is a duplicate of 142180. The overflows are not exploitable. We
should be able to release something for FC3 since its based on 3.3.1. Attaching
the patch that was accepted upstream. From the kde maintainers: the patch
doesn't apply cleanly against 3.3.2 - some things moved around.
Comment 5 Steve Grubb 2005-01-06 14:50:08 EST
Created attachment 109438 [details]
Patch fixing overflows

This bug report is a duplicate of 142180. The overflows are not exploitable. We
should be able to release something for FC3 since its based on 3.3.1. Attaching
the patch that was accepted upstream. From the kde maintainers: the patch
doesn't apply cleanly against 3.3.2 - some things moved around.
Comment 7 Ngo Than 2005-02-02 06:42:46 EST
the new patch is now included in kdepim-3.3.1-1.FC3.1. I will
push it as FC3 update today. Thanks a lot for the patch.

Note You need to log in before you can comment on or make changes to this bug.